Bug 56555 - When I attempt to upgrade foomatic using the errata rpm's, I get rpm error messages and the upgrade doesn't take place.
When I attempt to upgrade foomatic using the errata rpm's, I get rpm error me...
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2001-11-20 17:43 EST by Robert L. Cochran Jr.
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-07 23:59:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert L. Cochran Jr. 2001-11-20 17:43:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When updating foomatic using this rpm string:

rpm -Fvh foomatic*1018.6.i386.rpm

I get this error message from rpm:

1:foomatic error: unpacking of archive failed on file
/usr/share/foomatic/db/compiled: cpio: rename failed - Is a directory.

This first occured when I attempted to update using 


and occured again when I attempted to update using

just tonight (11/20/2001).


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpm -Fvh foomatic*1018.6.i386.rpm

Actual Results:  I get the error message indicated in the Description I
wrote, see above. The foomatic package does not show the update when I run
an rpm query (rpm -q foomatic).

Expected Results:  RPM should have applied the update without an error
code. An rpm query should show the updated package as installed.

Additional info:

Comment 1 Robert L. Cochran Jr. 2001-12-07 23:59:48 EST
I just installed 7.2 to a new computer here in a server configuration with no X
components. There are no other operating systems on the new machine. When I
applied the foomatic updates to it, they completed without error.

That made me remember I was running the Roswell beta on my workstation. Then I
installed a boxed set of 7.2 as an "upgrade" on top of Roswell. Then I attempted
to apply the foomatic updates I'm discussing in this report, and these won't
install correctly as indicated above. 

Hope this helps with resolving the issue.
Comment 2 Bill Nottingham 2001-12-18 17:55:41 EST
Yeah, this is a problem with upgrading from one of the roswell betas; you need
to remove the directory in question first.

Note You need to log in before you can comment on or make changes to this bug.